Subject: bug#63300: 29.0.90; Tramp keeps customizing variables on every connection

From: Michael Albinus <[email-masked]>
Date: Sun, 04 Jun 2023 14:21:41 +0200

Jimmy Wong <[email-masked]> writes:

Hi,

> Well, yes, I consider this a poorly considered “feature”, or arguably
> a bug, for exactly the reason you said, they are local to connections
> and machines, and thus highly variable.

Not really. They exist for the reason that a user can override the
default values offered by Tramp. This I would call a user option.

Tramp has a lot of further host specific data, which are all kept in
variables.

> We can probably argue whether this is a bug in tramp or a bug in
> customize-save-variable tho (why on earth does the act of saving a
> single variable value saves all customized values if a custom file
> exists?)

I agree with the latter.

Best regards, Michael.